.bue-ui {
  button { @extend .btn, .btn-light, .btn-sm; }

  .separator { display: none; }

  .fa { @extend .bi; }
  .fa-italic        { @extend .bi-type-italic; }
  .fa-bold          { @extend .bi-type-bold; }
  .fa-underline     { @extend .bi-type-underline; }
  .fa-strikethrough { @extend .bi-type-strikethrough; }
  .fa-try           { @extend .bi-chevron-contract; }
  .fa-list-ol       { @extend .bi-list-ol; }
  .fa-list-ul       { @extend .bi-list-ul; }
  .fa-header        { @extend .bi-type; }
  .fa-quote-right   { @extend .bi-quote; }
  .fa-link          { @extend .bi-link; }
  .fa-picture-o     { @extend .bi-image; }
  .fa-smile-o       { @extend .bi-emoji-smile; }
  .fa-puzzle-piece  { @extend .bi-puzzle; }
  .fa-code          { @extend .bi-code-slash; }
  .fa-youtube       { @extend .bi-youtube; }
  .fa-arrows-h      { @extend .bi-dash-lg; }
  .fa-eye           { @extend .bi-eye; }
}

// Popup dialogs
.bue-popup {
  z-index: 10;
  position: absolute;
  width: auto;
  margin: 0;
  text-align: left;
  background-color: $white;
  border-radius: $border-radius;
  box-shadow: $box-shadow;
  font-size: $font-size-sm;
}

.bue-popup-head {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: gap(2);
  background-color: $gray-200;
  border-top-left-radius: $border-radius;
  border-top-right-radius: $border-radius;

  &::after { display: none; }
}

.bue-popup-close {
  @extend .btn, .btn-link, .btn-sm, .bi, .bi-x-square;
  visibility: hidden;
  font-size: 0;
  color: $gray-900;
  padding: 0;

  &::before {
    visibility: visible;
    font-size: $font-size-base;
  }
}

.bue-popup-body {
  td {
    padding: gap(1) 0;

    &:first-child {
      @extend .form-label;
      padding-right: gap(1);
    }
  }

  form { padding: gap(2); }
  select { @extend .form-select, .form-select-sm; }
  input[type="text"] { @extend .form-control, .form-control-sm; }
  input[type="submit"] { @extend .btn, .btn-sm; margin-top: gap(2); }

  .tag-chooser {
    @extend .list-group, .list-group-flush;

    li {
      display: contents;

      a {
        @extend .list-group-item, .list-group-item-action;
        border-left-width: 0;
        border-right-width: 0;
      }

      &:first-child a { border-top-width: 0; }
      &:last-child a { border-bottom-width: 0; }
    }

    code { font-family: inherit; }
  }
}
